#! /bin/sh /usr/share/dpatch/dpatch-run
## 08_cmake_ifmatches.dpatch by  <pgquiles@elpauer.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Use IF( VAR MATCHES "STRING" ) instead of IF( ${VAR} STREQUAL "STRING" 
## DP: ) so that it works with VARs which are lists (in our case: "wt;wthttp" 
## DP: when building the examples)

@DPATCH@

diff -rupd wt-3.1.5.orig/examples/CMakeLists.txt wt-3.1.5/examples/CMakeLists.txt
--- wt-3.1.5.orig/examples/CMakeLists.txt	2010-09-23 02:07:33.245338224 +0200
+++ wt-3.1.5/examples/CMakeLists.txt	2010-09-23 02:08:00.092340124 +0200
@@ -14,7 +14,7 @@ ADD_DEFINITIONS(-DWT_DEPRECATED_3_0_0)
 # in case of FCGI or HTTPD connectors. It also makes sure that the example
 # links to the proper libraries (connector + wt).
 MACRO(WT_ADD_EXAMPLE name)
-  IF(${EXAMPLES_CONNECTOR} STREQUAL "wtisapi")
+  IF(EXAMPLES_CONNECTOR MATCHES "wtisapi")
     SET(MYLIST ${ARGV})
     LIST(INSERT MYLIST 1 SHARED)
     ADD_LIBRARY(${MYLIST})
@@ -23,9 +23,9 @@ MACRO(WT_ADD_EXAMPLE name)
         LINK_FLAGS
          "/EXPORT:HttpExtensionProc /EXPORT:GetExtensionVersion /EXPORT:TerminateExtension"
     )
-  ELSE(${EXAMPLES_CONNECTOR} STREQUAL "wtisapi")
+  ELSE(EXAMPLES_CONNECTOR STREQUAL "wtisapi")
     ADD_EXECUTABLE(${ARGV})
-  ENDIF(${EXAMPLES_CONNECTOR} STREQUAL "wtisapi")
+  ENDIF(EXAMPLES_CONNECTOR STREQUAL "wtisapi")
   TARGET_LINK_LIBRARIES(${name} ${EXAMPLES_CONNECTOR})
 ENDMACRO(WT_ADD_EXAMPLE)
 
